Subject: Mescal cacti

From: [email-masked] (Barb or Scott)
Date: 29 Mar 1996 15:39:18 GMT

I am looking for information on the mescal plant.  I'm doing a paper on
Peyote and need this info.  Does anyone know any good websites or 
gopehrs with good stuff on it?  Any help would be greatly appreciated.

-Scott